Bug 492778 - Review Request: xwine - Graphic Interface for Wine
Review Request: xwine - Graphic Interface for Wine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://darken33.free.fr/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 09:46 EDT by Paulo Roma Cavalcanti
Modified: 2010-06-11 08:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-11 08:04:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Roma Cavalcanti 2009-03-29 09:46:38 EDT
Description of problem:


Spec URL: http://people.atrpms.net/~pcavalcanti/specs/xwine.spec

SRPM URL: http://people.atrpms.net/~pcavalcanti/srpms/xwine-1.0.1-4.fc10.src.rpm


XWine is a graphical interface for Wine, which
permits the configuration and execution of applications
under Ms Dos, Windows 3.x, and Win32.
It offers the following functionalities:
   - Graphical configuration for Wine.
   - Execution and management of Ms-Windows applications.



rpmlint output is clean.


This package is no longer being maintained, but it is still useful
for installing packages under wine. 
It is available in debian, mandriva and ubuntu.

I applied the latest security patch from debian.
Comment 1 Christoph Wickert 2009-04-19 19:57:24 EDT
URL is bad because http://darken33.free.fr/index.php does not mention xwine at all.

Please preserve timestamps during iconv, see 
https://fedoraproject.org/wiki/PackageMaintainers/PackagingTricks#Convert_encoding_to_UTF-8 and
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

Creation of desktop files inside a spec is forbidden now, include it as Source1
Comment 2 Felix Schwarz 2009-05-19 03:17:44 EDT
Is it really sensible including an unmaintained package that saw it's last release in 2004? If the application is still useful, I would suggest that there should be some efforts getting a new, active upstream to have a central place where fixes can be collected.

Christoph: The software has no real page, it can be found in the category 'Logiciels divers': http://darken33.free.fr/index.php?cat=4&rub=20

fs
Comment 3 Thomas Spura 2009-10-30 10:54:05 EDT
Paulo, any update on this?
Could not download the spec file… Server down?
Comment 4 Paulo Roma Cavalcanti 2009-10-30 11:16:25 EDT
Yes, the server is gone.

Here there are new links:

Spec URL: http://orion.lcg.ufrj.br/RPMS/SPECS/xwine.spec

SRPM URL: http://orion.lcg.ufrj.br/RPMS/src/xwine-1.0.1-4.fc10.src.rpm
Comment 5 Chen Lei 2010-05-20 05:52:27 EDT
How about to close this report? I think this package in not suitable for fedora, e.g. Upstream is dead for long time, depend on very old gnome1.
Comment 6 Chen Lei 2010-06-11 08:04:11 EDT
No response from submitter, closed as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.